import { type SyntaxLine } from "./processAST";
import type { codeToHast } from "shiki";
export type DiffAST = DePromise<ReturnType<typeof codeToHast>>;
export type DiffHighlighter = {
    name: string;
    maxLineToIgnoreSyntax: number;
    setMaxLineToIgnoreSyntax: (v: number) => void;
    ignoreSyntaxHighlightList: (string | RegExp)[];
    setIgnoreSyntaxHighlightList: (v: (string | RegExp)[]) => void;
    getAST: (raw: string, fileName?: string, lang?: string) => DiffAST;
    processAST: (ast: DiffAST) => {
        syntaxFileObject: Record<number, SyntaxLine>;
        syntaxFileLineNumber: number;
    };
};
export declare const highlighterReady: Promise<DiffHighlighter>;
export { processAST } from "./processAST";
export * from "shiki";
//# sourceMappingURL=index.d.ts.map