import type { DiffAST } from ".";
export type SyntaxNode = {
    type: string;
    value: string;
    lineNumber: number;
    startIndex: number;
    endIndex: number;
    properties?: {
        className?: string[];
        style?: string;
    };
    children?: SyntaxNode[];
};
export type SyntaxLine = {
    value: string;
    lineNumber: number;
    valueLength: number;
    nodeList: {
        node: SyntaxNode;
        wrapper?: SyntaxNode;
    }[];
};
export declare const processAST: (ast: DiffAST) => {
    syntaxFileObject: Record<number, SyntaxLine>;
    syntaxFileLineNumber: number;
};
//# sourceMappingURL=processAST.d.ts.map